## rust-opendal 0.44.1

=== debian/changelog ===
rust-opendal (0.44.1-1) unstable; urgency=medium

  * Package opendal 0.44.1 from crates.io using debcargo 2.6.1
    (Closes: #1058293)

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 12 Feb 2024 14:28:47 +0100
