=== debian/control ===
Source: rust-opendal
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native <!nocheck>,
 rustc:native (>= 1.67) <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-anyhow-1+default-dev (>= 1.0.30-~~) <!nocheck>,
 librust-anyhow-1+std-dev (>= 1.0.30-~~) <!nocheck>,
 librust-async-compat-0.2+default-dev <!nocheck>,
 librust-async-trait-0.1+default-dev (>= 0.1.68-~~) <!nocheck>,
 librust-backon-0.4+default-dev (>= 0.4.1-~~) <!nocheck>,
 librust-base64-0.21+default-dev <!nocheck>,
 librust-bytes-1+default-dev (>= 1.4-~~) <!nocheck>,
 librust-chrono-0.4+clock-dev (>= 0.4.28-~~) <!nocheck>,
 librust-chrono-0.4+std-dev (>= 0.4.28-~~) <!nocheck>,
 librust-flagset-0.4+default-dev <!nocheck>,
 librust-futures-0.3+std-dev <!nocheck>,
 librust-http-0.2+default-dev (>= 0.2.9-~~) <!nocheck>,
 librust-log-0.4+default-dev <!nocheck>,
 librust-md-5-0.10+default-dev <!nocheck>,
 librust-once-cell-1+default-dev <!nocheck>,
 librust-parking-lot-0.12+default-dev <!nocheck>,
 librust-percent-encoding-2+default-dev <!nocheck>,
 librust-pin-project-1+default-dev <!nocheck>,
 librust-quick-xml-0+default-dev <!nocheck>,
 librust-quick-xml-0+overlapped-lists-dev <!nocheck>,
 librust-quick-xml-0+serialize-dev <!nocheck>,
 librust-reqsign-0.14+reqwest-request-dev (>= 0.14.6-~~) <!nocheck>,
 librust-reqsign-0.14+services-aliyun-dev (>= 0.14.6-~~) <!nocheck>,
 librust-reqsign-0.14+services-aws-dev (>= 0.14.6-~~) <!nocheck>,
 librust-reqsign-0.14+services-azblob-dev (>= 0.14.6-~~) <!nocheck>,
 librust-reqsign-0.14+services-google-dev (>= 0.14.6-~~) <!nocheck>,
 librust-reqsign-0.14+services-huaweicloud-dev (>= 0.14.6-~~) <!nocheck>,
 librust-reqsign-0.14+services-tencent-dev (>= 0.14.6-~~) <!nocheck>,
 librust-reqsign-0.14-dev (>= 0.14.6-~~) <!nocheck>,
 librust-reqwest-0.11+rustls-tls-native-roots-dev (>= 0.11.18-~~) <!nocheck>,
 librust-reqwest-0.11+stream-dev (>= 0.11.18-~~) <!nocheck>,
 librust-serde-1+default-dev <!nocheck>,
 librust-serde-1+derive-dev <!nocheck>,
 librust-serde-json-1+default-dev <!nocheck>,
 librust-sha2-0.10+default-dev <!nocheck>,
 librust-tokio-1+default-dev (>= 1.27-~~) <!nocheck>,
 librust-tokio-1+fs-dev (>= 1.27-~~) <!nocheck>,
 librust-tokio-1+sync-dev (>= 1.27-~~) <!nocheck>,
 librust-uuid-1+default-dev <!nocheck>,
 librust-uuid-1+serde-dev <!nocheck>,
 librust-uuid-1+v4-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Sylvestre Ledru <sylvestre@debian.org>
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/opendal]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/opendal
Homepage: https://opendal.apache.org/
X-Cargo-Crate: opendal
Rules-Requires-Root: no

Package: librust-opendal-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-anyhow-1+default-dev (>= 1.0.30-~~),
 librust-anyhow-1+std-dev (>= 1.0.30-~~),
 librust-async-backtrace-0.2+default-dev (>= 0.2.6-~~),
 librust-async-compat-0.2+default-dev,
 librust-async-tls-0.12+default-dev,
 librust-async-trait-0.1+default-dev (>= 0.1.68-~~),
 librust-atomic-lib-0.34+default-dev (>= 0.34.5-~~),
 librust-await-tree-0.1+default-dev (>= 0.1.1-~~),
 librust-backon-0.4+default-dev (>= 0.4.1-~~),
 librust-base64-0.21+default-dev,
 librust-bb8-0.8+default-dev,
 librust-bb8-postgres-0.8+default-dev (>= 0.8.1-~~),
 librust-bytes-1+default-dev (>= 1.4-~~),
 librust-cacache-12+mmap-dev,
 librust-cacache-12+tokio-runtime-dev,
 librust-chrono-0.4+clock-dev (>= 0.4.28-~~),
 librust-chrono-0.4+std-dev (>= 0.4.28-~~),
 librust-dashmap-5+default-dev (>= 5.4-~~),
 librust-dirs-5+default-dev (>= 5.0.1-~~),
 librust-dotenvy-0.15+default-dev,
 librust-etcd-client-0.12+default-dev,
 librust-etcd-client-0.12+tls-dev,
 librust-flagset-0.4+default-dev,
 librust-foundationdb-0.8+default-dev,
 librust-foundationdb-0.8+embedded-fdb-include-dev,
 librust-futures-0.3+std-dev,
 librust-governor-0.6+default-dev,
 librust-governor-0.6+std-dev,
 librust-hdrs-0.3+async-file-dev,
 librust-hdrs-0.3+default-dev,
 librust-hmac-0.12+default-dev (>= 0.12.1-~~),
 librust-hrana-client-proto-0.2+default-dev (>= 0.2.1-~~),
 librust-http-0.2+default-dev (>= 0.2.9-~~),
 librust-log-0.4+default-dev,
 librust-madsim-0.2+default-dev (>= 0.2.21-~~),
 librust-md-5-0.10+default-dev,
 librust-metrics-0.20+default-dev,
 librust-mini-moka-0.10+default-dev,
 librust-minitrace-0.6+default-dev,
 librust-moka-0.12+default-dev,
 librust-moka-0.12+future-dev,
 librust-moka-0.12+sync-dev,
 librust-mongodb-2+default-dev (>= 2.7.0-~~),
 librust-mongodb-2+tokio-runtime-dev (>= 2.7.0-~~),
 librust-mysql-async-0.32+default-rustls-dev (>= 0.32.2-~~),
 librust-once-cell-1+default-dev,
 librust-openssh-0.10+default-dev,
 librust-openssh-sftp-client-0.14+default-dev,
 librust-openssh-sftp-client-0.14+openssh-dev,
 librust-openssh-sftp-client-0.14+tracing-dev,
 librust-opentelemetry-0.21+default-dev,
 librust-parking-lot-0.12+default-dev,
 librust-percent-encoding-2+default-dev,
 librust-persy-1+default-dev (>= 1.4.6-~~),
 librust-pin-project-1+default-dev,
 librust-prometheus-0.13+default-dev,
 librust-prometheus-0.13+process-dev,
 librust-prometheus-client-0.22+default-dev,
 librust-prost-0.11+default-dev,
 librust-quick-xml-0+default-dev,
 librust-quick-xml-0+overlapped-lists-dev,
 librust-quick-xml-0+serialize-dev,
 librust-r2d2-0.8+default-dev,
 librust-rand-0.8+default-dev,
 librust-redb-1+default-dev (>= 1.1.0-~~),
 librust-redis-0.23+cluster-async-dev (>= 0.23.1-~~),
 librust-redis-0.23+connection-manager-dev (>= 0.23.1-~~),
 librust-redis-0.23+default-dev (>= 0.23.1-~~),
 librust-redis-0.23+tokio-comp-dev (>= 0.23.1-~~),
 librust-redis-0.23+tokio-native-tls-comp-dev (>= 0.23.1-~~),
 librust-redis-0.23+tokio-rustls-comp-dev (>= 0.23.1-~~),
 librust-reqsign-0.14+reqwest-request-dev (>= 0.14.6-~~),
 librust-reqsign-0.14+services-aliyun-dev (>= 0.14.6-~~),
 librust-reqsign-0.14+services-aws-dev (>= 0.14.6-~~),
 librust-reqsign-0.14+services-azblob-dev (>= 0.14.6-~~),
 librust-reqsign-0.14+services-google-dev (>= 0.14.6-~~),
 librust-reqsign-0.14+services-huaweicloud-dev (>= 0.14.6-~~),
 librust-reqsign-0.14+services-tencent-dev (>= 0.14.6-~~),
 librust-reqsign-0.14-dev (>= 0.14.6-~~),
 librust-reqwest-0.11+native-tls-dev (>= 0.11.18-~~),
 librust-reqwest-0.11+native-tls-vendored-dev (>= 0.11.18-~~),
 librust-reqwest-0.11+rustls-tls-native-roots-dev (>= 0.11.18-~~),
 librust-reqwest-0.11+stream-dev (>= 0.11.18-~~),
 librust-reqwest-0.11+trust-dns-dev (>= 0.11.18-~~),
 librust-rocksdb-0.21-dev,
 librust-rusqlite-0.29+bundled-dev,
 librust-rusqlite-0.29+default-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-json-1+default-dev,
 librust-sha1-0.10+default-dev (>= 0.10.6-~~),
 librust-sha2-0.10+default-dev,
 librust-sled-0.34+default-dev (>= 0.34.7-~~),
 librust-suppaftp-5+async-rustls-dev (>= 5.2-~~),
 librust-suppaftp-5+async-secure-dev (>= 5.2-~~),
 librust-suppaftp-5+rustls-dev (>= 5.2-~~),
 librust-tikv-client-0.3-dev,
 librust-tokio-1+default-dev (>= 1.27-~~),
 librust-tokio-1+fs-dev (>= 1.27-~~),
 librust-tokio-1+sync-dev (>= 1.27-~~),
 librust-tokio-postgres-0.7+default-dev (>= 0.7.8-~~),
 librust-tracing-0.1+default-dev,
 librust-uuid-1+default-dev,
 librust-uuid-1+serde-dev,
 librust-uuid-1+v4-dev
Provides:
 librust-opendal+default-dev (= ${binary:Version}),
 librust-opendal+layers-all-dev (= ${binary:Version}),
 librust-opendal+layers-async-backtrace-dev (= ${binary:Version}),
 librust-opendal+layers-await-tree-dev (= ${binary:Version}),
 librust-opendal+layers-chaos-dev (= ${binary:Version}),
 librust-opendal+layers-madsim-dev (= ${binary:Version}),
 librust-opendal+layers-metrics-dev (= ${binary:Version}),
 librust-opendal+layers-minitrace-dev (= ${binary:Version}),
 librust-opendal+layers-otel-trace-dev (= ${binary:Version}),
 librust-opendal+layers-prometheus-dev (= ${binary:Version}),
 librust-opendal+layers-prometheus-client-dev (= ${binary:Version}),
 librust-opendal+layers-throttle-dev (= ${binary:Version}),
 librust-opendal+layers-tracing-dev (= ${binary:Version}),
 librust-opendal+native-tls-dev (= ${binary:Version}),
 librust-opendal+native-tls-vendored-dev (= ${binary:Version}),
 librust-opendal+rustls-dev (= ${binary:Version}),
 librust-opendal+services-alluxio-dev (= ${binary:Version}),
 librust-opendal+services-atomicserver-dev (= ${binary:Version}),
 librust-opendal+services-azblob-dev (= ${binary:Version}),
 librust-opendal+services-azdls-dev (= ${binary:Version}),
 librust-opendal+services-azfile-dev (= ${binary:Version}),
 librust-opendal+services-b2-dev (= ${binary:Version}),
 librust-opendal+services-cacache-dev (= ${binary:Version}),
 librust-opendal+services-chainsafe-dev (= ${binary:Version}),
 librust-opendal+services-cloudflare-kv-dev (= ${binary:Version}),
 librust-opendal+services-cos-dev (= ${binary:Version}),
 librust-opendal+services-d1-dev (= ${binary:Version}),
 librust-opendal+services-dashmap-dev (= ${binary:Version}),
 librust-opendal+services-dbfs-dev (= ${binary:Version}),
 librust-opendal+services-dropbox-dev (= ${binary:Version}),
 librust-opendal+services-etcd-dev (= ${binary:Version}),
 librust-opendal+services-foundationdb-dev (= ${binary:Version}),
 librust-opendal+services-fs-dev (= ${binary:Version}),
 librust-opendal+services-ftp-dev (= ${binary:Version}),
 librust-opendal+services-gcs-dev (= ${binary:Version}),
 librust-opendal+services-gdrive-dev (= ${binary:Version}),
 librust-opendal+services-ghac-dev (= ${binary:Version}),
 librust-opendal+services-gridfs-dev (= ${binary:Version}),
 librust-opendal+services-hdfs-dev (= ${binary:Version}),
 librust-opendal+services-http-dev (= ${binary:Version}),
 librust-opendal+services-huggingface-dev (= ${binary:Version}),
 librust-opendal+services-ipfs-dev (= ${binary:Version}),
 librust-opendal+services-ipmfs-dev (= ${binary:Version}),
 librust-opendal+services-libsql-dev (= ${binary:Version}),
 librust-opendal+services-memcached-dev (= ${binary:Version}),
 librust-opendal+services-memory-dev (= ${binary:Version}),
 librust-opendal+services-mini-moka-dev (= ${binary:Version}),
 librust-opendal+services-moka-dev (= ${binary:Version}),
 librust-opendal+services-mongodb-dev (= ${binary:Version}),
 librust-opendal+services-mysql-dev (= ${binary:Version}),
 librust-opendal+services-obs-dev (= ${binary:Version}),
 librust-opendal+services-onedrive-dev (= ${binary:Version}),
 librust-opendal+services-oss-dev (= ${binary:Version}),
 librust-opendal+services-persy-dev (= ${binary:Version}),
 librust-opendal+services-postgresql-dev (= ${binary:Version}),
 librust-opendal+services-redb-dev (= ${binary:Version}),
 librust-opendal+services-redis-dev (= ${binary:Version}),
 librust-opendal+services-redis-native-tls-dev (= ${binary:Version}),
 librust-opendal+services-rocksdb-dev (= ${binary:Version}),
 librust-opendal+services-s3-dev (= ${binary:Version}),
 librust-opendal+services-seafile-dev (= ${binary:Version}),
 librust-opendal+services-sftp-dev (= ${binary:Version}),
 librust-opendal+services-sled-dev (= ${binary:Version}),
 librust-opendal+services-sqlite-dev (= ${binary:Version}),
 librust-opendal+services-supabase-dev (= ${binary:Version}),
 librust-opendal+services-swift-dev (= ${binary:Version}),
 librust-opendal+services-tikv-dev (= ${binary:Version}),
 librust-opendal+services-upyun-dev (= ${binary:Version}),
 librust-opendal+services-vercel-artifacts-dev (= ${binary:Version}),
 librust-opendal+services-wasabi-dev (= ${binary:Version}),
 librust-opendal+services-webdav-dev (= ${binary:Version}),
 librust-opendal+services-webhdfs-dev (= ${binary:Version}),
 librust-opendal+tests-dev (= ${binary:Version}),
 librust-opendal+tikv-client-dev (= ${binary:Version}),
 librust-opendal+trust-dns-dev (= ${binary:Version}),
 librust-opendal-0-dev (= ${binary:Version}),
 librust-opendal-0+default-dev (= ${binary:Version}),
 librust-opendal-0+layers-all-dev (= ${binary:Version}),
