=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test opendal 0.44.1 --all-targets --all-features
Features: test-name=rust-opendal:@
Depends: dh-cargo (>= 18), librust-criterion-0.5+async-dev, librust-criterion-0.5+async-tokio-dev, librust-criterion-0.5+default-dev, librust-dotenvy-0.15+default-dev, librust-libtest-mimic-0.6+default-dev, librust-minitrace-0.6+default-dev, librust-minitrace-0.6+enable-dev, librust-opentelemetry-0.21+trace-dev, librust-pretty-assertions-1+default-dev, librust-rand-0.8+default-dev, librust-sha2-0.10+default-dev, librust-size-0.4+default-dev, librust-tokio-1+default-dev (>= 1.27-~~), librust-tokio-1+fs-dev (>= 1.27-~~), librust-tokio-1+macros-dev (>= 1.27-~~), librust-tokio-1+rt-multi-thread-dev (>= 1.27-~~), librust-tracing-subscriber-0.3+default-dev, librust-tracing-subscriber-0.3+env-filter-dev, librust-tracing-subscriber-0.3+tracing-log-dev, librust-wiremock-0.5+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test opendal 0.44.1 --all-targets
Features: test-name=librust-opendal-dev:default
Depends: dh-cargo (>= 18), librust-criterion-0.5+async-dev, librust-criterion-0.5+async-tokio-dev, librust-criterion-0.5+default-dev, librust-dotenvy-0.15+default-dev, librust-libtest-mimic-0.6+default-dev, librust-minitrace-0.6+default-dev, librust-minitrace-0.6+enable-dev, librust-opentelemetry-0.21+trace-dev, librust-pretty-assertions-1+default-dev, librust-rand-0.8+default-dev, librust-sha2-0.10+default-dev, librust-size-0.4+default-dev, librust-tokio-1+default-dev (>= 1.27-~~), librust-tokio-1+fs-dev (>= 1.27-~~), librust-tokio-1+macros-dev (>= 1.27-~~), librust-tokio-1+rt-multi-thread-dev (>= 1.27-~~), librust-tracing-subscriber-0.3+default-dev, librust-tracing-subscriber-0.3+env-filter-dev, librust-tracing-subscriber-0.3+tracing-log-dev, librust-wiremock-0.5+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test opendal 0.44.1 --all-targets --no-default-features --features layers-all
Features: test-name=librust-opendal-dev:layers-all
Depends: dh-cargo (>= 18), librust-criterion-0.5+async-dev, librust-criterion-0.5+async-tokio-dev, librust-criterion-0.5+default-dev, librust-dotenvy-0.15+default-dev, librust-libtest-mimic-0.6+default-dev, librust-minitrace-0.6+default-dev, librust-minitrace-0.6+enable-dev, librust-opentelemetry-0.21+trace-dev, librust-pretty-assertions-1+default-dev, librust-rand-0.8+default-dev, librust-sha2-0.10+default-dev, librust-size-0.4+default-dev, librust-tokio-1+default-dev (>= 1.27-~~), librust-tokio-1+fs-dev (>= 1.27-~~), librust-tokio-1+macros-dev (>= 1.27-~~), librust-tokio-1+rt-multi-thread-dev (>= 1.27-~~), librust-tracing-subscriber-0.3+default-dev, librust-tracing-subscriber-0.3+env-filter-dev, librust-tracing-subscriber-0.3+tracing-log-dev, librust-wiremock-0.5+default-dev, @
Restrictions: allow-stderr, skip-not-installable
