## rust-opendal 0.51.0

=== debian/changelog ===
rust-opendal (0.51.0-1) unstable; urgency=medium

  * Package opendal 0.51.0 from crates.io using debcargo 2.7.5

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 11 Jan 2025 10:35:07 +0100
