=== debian/control ===
Source: rust-opendal
Section: rust
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-sequence-cargo,
 cargo:native <!nocheck>,
 rustc:native (>= 1.75) <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-anyhow-1+default-dev (>= 1.0.30-~~) <!nocheck>,
 librust-anyhow-1+std-dev (>= 1.0.30-~~) <!nocheck>,
 librust-async-trait-0.1+default-dev (>= 0.1.68-~~) <!nocheck>,
 librust-backon-1+default-dev (>= 1.2-~~) <!nocheck>,
 librust-backon-1+tokio-sleep-dev (>= 1.2-~~) <!nocheck>,
 librust-base64-0.22+default-dev <!nocheck>,
 librust-bytes-1+default-dev (>= 1.6-~~) <!nocheck>,
 librust-chrono-0.4+clock-dev (>= 0.4.28-~~) <!nocheck>,
 librust-chrono-0.4+std-dev (>= 0.4.28-~~) <!nocheck>,
 librust-futures-0.3+async-await-dev <!nocheck>,
 librust-futures-0.3+std-dev <!nocheck>,
 librust-http-0+default-dev <!nocheck>,
 librust-log-0.4+default-dev <!nocheck>,
 librust-md-5-0.10+default-dev <!nocheck>,
 librust-once-cell-1+default-dev <!nocheck>,
 librust-percent-encoding-2+default-dev <!nocheck>,
 librust-quick-xml-0+default-dev <!nocheck>,
 librust-quick-xml-0+overlapped-lists-dev <!nocheck>,
 librust-quick-xml-0+serialize-dev <!nocheck>,
 librust-reqwest-0+rustls-tls-dev <!nocheck>,
 librust-reqwest-0+stream-dev <!nocheck>,
 librust-serde-1+default-dev <!nocheck>,
 librust-serde-1+derive-dev <!nocheck>,
 librust-serde-json-1+default-dev <!nocheck>,
 librust-tokio-1+default-dev (>= 1.27-~~) <!nocheck>,
 librust-tokio-1+io-util-dev (>= 1.27-~~) <!nocheck>,
 librust-tokio-1+rt-dev (>= 1.27-~~) <!nocheck>,
 librust-tokio-1+sync-dev (>= 1.27-~~) <!nocheck>,
 librust-uuid-1+default-dev <!nocheck>,
 librust-uuid-1+serde-dev <!nocheck>,
 librust-uuid-1+v4-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Sylvestre Ledru <sylvestre@debian.org>
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/opendal]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/opendal
Homepage: https://opendal.apache.org/
X-Cargo-Crate: opendal
Rules-Requires-Root: no

Package: librust-opendal-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-anyhow-1+default-dev (>= 1.0.30-~~),
 librust-anyhow-1+std-dev (>= 1.0.30-~~),
 librust-async-backtrace-0.2+default-dev (>= 0.2.6-~~),
 librust-async-tls-0.13+default-dev,
 librust-async-trait-0.1+default-dev (>= 0.1.68-~~),
 librust-atomic-lib-0.39+default-dev,
 librust-await-tree-0.2+default-dev,
 librust-backon-1+default-dev (>= 1.2-~~),
 librust-backon-1+tokio-sleep-dev (>= 1.2-~~),
 librust-base64-0.22+default-dev,
 librust-bb8-0.8+default-dev,
 librust-bytes-1+default-dev (>= 1.6-~~),
 librust-cacache-13+mmap-dev,
 librust-cacache-13+tokio-runtime-dev,
 librust-chrono-0.4+clock-dev (>= 0.4.28-~~),
 librust-chrono-0.4+std-dev (>= 0.4.28-~~),
 librust-compio-0.12+bytes-dev,
 librust-compio-0.12+default-dev,
 librust-compio-0.12+dispatcher-dev,
 librust-compio-0.12+polling-dev,
 librust-compio-0.12+runtime-dev,
 librust-crc32c-0.6+default-dev (>= 0.6.6-~~),
 librust-dashmap-6+default-dev,
 librust-dotenvy-0.15+default-dev,
 librust-etcd-client-0.14+default-dev,
 librust-etcd-client-0.14+tls-dev,
 librust-fastrace-0.7+default-dev (>= 0.7.1-~~),
 librust-flume-0.11+default-dev,
 librust-foundationdb-0.9+default-dev,
 librust-foundationdb-0.9+embedded-fdb-include-dev,
 librust-foundationdb-0.9+fdb-7-3-dev,
 librust-futures-0.3+async-await-dev,
 librust-futures-0.3+std-dev,
 librust-governor-0.6+default-dev,
 librust-governor-0.6+std-dev,
 librust-hdfs-native-0.10+default-dev,
 librust-hdrs-0.3+async-file-dev (>= 0.3.2-~~),
 librust-hdrs-0.3+default-dev (>= 0.3.2-~~),
 librust-hmac-0.12+default-dev (>= 0.12.1-~~),
 librust-hrana-client-proto-0.2+default-dev (>= 0.2.1-~~),
 librust-http-0+default-dev,
 librust-log-0.4+default-dev,
 librust-md-5-0.10+default-dev,
 librust-metrics-0.24+default-dev,
 librust-mime-guess-2+default-dev (>= 2.0.5-~~),
 librust-mini-moka-0.10+default-dev,
 librust-moka-0.12+default-dev,
 librust-moka-0.12+future-dev,
 librust-moka-0.12+sync-dev,
 librust-mongodb-3+default-dev,
 librust-monoio-0.2+default-dev (>= 0.2.4-~~),
 librust-monoio-0.2+mkdirat-dev (>= 0.2.4-~~),
 librust-monoio-0.2+renameat-dev (>= 0.2.4-~~),
 librust-monoio-0.2+sync-dev (>= 0.2.4-~~),
 librust-monoio-0.2+unlinkat-dev (>= 0.2.4-~~),
 librust-once-cell-1+default-dev,
 librust-openssh-0.11+default-dev,
 librust-openssh-sftp-client-0.15+default-dev (>= 0.15.2-~~),
 librust-openssh-sftp-client-0.15+openssh-dev (>= 0.15.2-~~),
 librust-openssh-sftp-client-0.15+tracing-dev (>= 0.15.2-~~),
 librust-opentelemetry-0.26+default-dev,
 librust-ouroboros-0.18+default-dev (>= 0.18.4-~~),
 librust-percent-encoding-2+default-dev,
 librust-persy-1+default-dev (>= 1.4.6-~~),
 librust-probe-0.5+default-dev (>= 0.5.1-~~),
 librust-prometheus-0.13+default-dev,
 librust-prometheus-0.13+process-dev,
 librust-prometheus-client-0.22+default-dev (>= 0.22.2-~~),
 librust-prost-0.13+default-dev,
 librust-quick-xml-0+default-dev,
 librust-quick-xml-0+overlapped-lists-dev,
 librust-quick-xml-0+serialize-dev,
 librust-rand-0.8+default-dev,
 librust-redb-2+default-dev,
 librust-redis-0.27+cluster-async-dev,
 librust-redis-0.27+connection-manager-dev,
 librust-redis-0.27+default-dev,
 librust-redis-0.27+tokio-comp-dev,
 librust-redis-0.27+tokio-native-tls-comp-dev,
 librust-redis-0.27+tokio-rustls-comp-dev,
 librust-reqsign-0.16+reqwest-request-dev (>= 0.16.1-~~),
 librust-reqsign-0.16+services-aliyun-dev (>= 0.16.1-~~),
 librust-reqsign-0.16+services-aws-dev (>= 0.16.1-~~),
 librust-reqsign-0.16+services-azblob-dev (>= 0.16.1-~~),
 librust-reqsign-0.16+services-google-dev (>= 0.16.1-~~),
 librust-reqsign-0.16+services-huaweicloud-dev (>= 0.16.1-~~),
 librust-reqsign-0.16+services-tencent-dev (>= 0.16.1-~~),
 librust-reqsign-0.16-dev (>= 0.16.1-~~),
 librust-reqwest-0+rustls-tls-dev,
 librust-reqwest-0+stream-dev,
 librust-rocksdb-0.21-dev,
 librust-rust-nebula-0.0.2+default-dev,
 librust-rust-nebula-0.0.2+graph-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-json-1+default-dev,
 librust-sha1-0.10+default-dev (>= 0.10.6-~~),
 librust-sha2-0.10+default-dev,
 librust-sled-0.34+default-dev (>= 0.34.7-~~),
 librust-snowflaked-1+default-dev,
 librust-snowflaked-1+sync-dev,
 librust-sqlx-0.8+default-dev,
 librust-sqlx-0.8+mysql-dev,
 librust-sqlx-0.8+postgres-dev,
 librust-sqlx-0.8+runtime-tokio-rustls-dev,
 librust-sqlx-0.8+sqlite-dev,
 librust-suppaftp-6+async-rustls-dev (>= 6.0.3-~~),
 librust-suppaftp-6+async-secure-dev (>= 6.0.3-~~),
 librust-suppaftp-6+rustls-dev (>= 6.0.3-~~),
 librust-surrealdb-2+default-dev,
 librust-surrealdb-2+protocol-http-dev,
 librust-tikv-client-0.3-dev,
 librust-tokio-1+default-dev (>= 1.27-~~),
 librust-tokio-1+fs-dev (>= 1.27-~~),
 librust-tokio-1+io-util-dev (>= 1.27-~~),
 librust-tokio-1+rt-dev (>= 1.27-~~),
 librust-tokio-1+rt-multi-thread-dev (>= 1.27-~~),
 librust-tokio-1+sync-dev (>= 1.27-~~),
 librust-tracing-0.1+default-dev,
 librust-uuid-1+default-dev,
 librust-uuid-1+serde-dev,
 librust-uuid-1+v4-dev
Provides:
 librust-opendal+default-dev (= ${binary:Version}),
 librust-opendal+executors-tokio-dev (= ${binary:Version}),
 librust-opendal+hdfs-native-dev (= ${binary:Version}),
 librust-opendal+internal-path-cache-dev (= ${binary:Version}),
 librust-opendal+internal-tokio-rt-dev (= ${binary:Version}),
 librust-opendal+layers-async-backtrace-dev (= ${binary:Version}),
 librust-opendal+layers-await-tree-dev (= ${binary:Version}),
 librust-opendal+layers-blocking-dev (= ${binary:Version}),
 librust-opendal+layers-chaos-dev (= ${binary:Version}),
 librust-opendal+layers-dtrace-dev (= ${binary:Version}),
 librust-opendal+layers-fastrace-dev (= ${binary:Version}),
 librust-opendal+layers-metrics-dev (= ${binary:Version}),
 librust-opendal+layers-mime-guess-dev (= ${binary:Version}),
 librust-opendal+layers-otel-trace-dev (= ${binary:Version}),
 librust-opendal+layers-prometheus-dev (= ${binary:Version}),
 librust-opendal+layers-prometheus-client-dev (= ${binary:Version}),
 librust-opendal+layers-throttle-dev (= ${binary:Version}),
 librust-opendal+layers-tracing-dev (= ${binary:Version}),
 librust-opendal+services-aliyun-drive-dev (= ${binary:Version}),
 librust-opendal+services-alluxio-dev (= ${binary:Version}),
 librust-opendal+services-atomicserver-dev (= ${binary:Version}),
 librust-opendal+services-azblob-dev (= ${binary:Version}),
 librust-opendal+services-azdls-dev (= ${binary:Version}),
 librust-opendal+services-azfile-dev (= ${binary:Version}),
 librust-opendal+services-b2-dev (= ${binary:Version}),
 librust-opendal+services-cacache-dev (= ${binary:Version}),
 librust-opendal+services-chainsafe-dev (= ${binary:Version}),
 librust-opendal+services-cloudflare-kv-dev (= ${binary:Version}),
 librust-opendal+services-compfs-dev (= ${binary:Version}),
 librust-opendal+services-cos-dev (= ${binary:Version}),
 librust-opendal+services-d1-dev (= ${binary:Version}),
 librust-opendal+services-dashmap-dev (= ${binary:Version}),
 librust-opendal+services-dbfs-dev (= ${binary:Version}),
 librust-opendal+services-dropbox-dev (= ${binary:Version}),
 librust-opendal+services-etcd-dev (= ${binary:Version}),
 librust-opendal+services-foundationdb-dev (= ${binary:Version}),
 librust-opendal+services-fs-dev (= ${binary:Version}),
 librust-opendal+services-ftp-dev (= ${binary:Version}),
 librust-opendal+services-gcs-dev (= ${binary:Version}),
 librust-opendal+services-gdrive-dev (= ${binary:Version}),
 librust-opendal+services-ghac-dev (= ${binary:Version}),
 librust-opendal+services-github-dev (= ${binary:Version}),
 librust-opendal+services-gridfs-dev (= ${binary:Version}),
 librust-opendal+services-hdfs-dev (= ${binary:Version}),
 librust-opendal+services-hdfs-native-dev (= ${binary:Version}),
 librust-opendal+services-http-dev (= ${binary:Version}),
 librust-opendal+services-huggingface-dev (= ${binary:Version}),
 librust-opendal+services-icloud-dev (= ${binary:Version}),
 librust-opendal+services-ipfs-dev (= ${binary:Version}),
 librust-opendal+services-ipmfs-dev (= ${binary:Version}),
 librust-opendal+services-koofr-dev (= ${binary:Version}),
 librust-opendal+services-lakefs-dev (= ${binary:Version}),
 librust-opendal+services-libsql-dev (= ${binary:Version}),
 librust-opendal+services-memcached-dev (= ${binary:Version}),
 librust-opendal+services-memory-dev (= ${binary:Version}),
 librust-opendal+services-mini-moka-dev (= ${binary:Version}),
 librust-opendal+services-moka-dev (= ${binary:Version}),
 librust-opendal+services-mongodb-dev (= ${binary:Version}),
 librust-opendal+services-monoiofs-dev (= ${binary:Version}),
 librust-opendal+services-mysql-dev (= ${binary:Version}),
 librust-opendal+services-nebula-graph-dev (= ${binary:Version}),
 librust-opendal+services-obs-dev (= ${binary:Version}),
 librust-opendal+services-onedrive-dev (= ${binary:Version}),
 librust-opendal+services-oss-dev (= ${binary:Version}),
 librust-opendal+services-pcloud-dev (= ${binary:Version}),
 librust-opendal+services-persy-dev (= ${binary:Version}),
 librust-opendal+services-postgresql-dev (= ${binary:Version}),
 librust-opendal+services-redb-dev (= ${binary:Version}),
 librust-opendal+services-redis-dev (= ${binary:Version}),
 librust-opendal+services-redis-native-tls-dev (= ${binary:Version}),
 librust-opendal+services-rocksdb-dev (= ${binary:Version}),
 librust-opendal+services-s3-dev (= ${binary:Version}),
 librust-opendal+services-seafile-dev (= ${binary:Version}),
 librust-opendal+services-sftp-dev (= ${binary:Version}),
 librust-opendal+services-sled-dev (= ${binary:Version}),
 librust-opendal+services-sqlite-dev (= ${binary:Version}),
 librust-opendal+services-supabase-dev (= ${binary:Version}),
 librust-opendal+services-surrealdb-dev (= ${binary:Version}),
 librust-opendal+services-swift-dev (= ${binary:Version}),
 librust-opendal+services-tikv-dev (= ${binary:Version}),
