## rust-opendal 0.52.0

=== debian/changelog ===
rust-opendal (0.52.0-3) unstable; urgency=medium

  * Team upload.
  * Package opendal 0.52.0 from crates.io using debcargo 2.7.8
  * Remove probe dependency and layers-dtrace feature because rust-probe is
    not available on all release architectures (specifically it's not available
    on ppc64el)

 -- Peter Michael Green <plugwash@debian.org>  Tue, 08 Jul 2025 13:23:22 +0000

rust-opendal (0.52.0-2) unstable; urgency=medium

  * Team upload.
  * Package opendal 0.52.0 from crates.io using debcargo 2.7.8
  * Disable async-backtrace feature since the async-backtrace crate is
    not available on most architectures (Closes: #1102975)
  * Use the portable-atomic crate on architectures where native 64-bit
    atomics are not available (Closes: #1102986)

 -- Peter Michael Green <plugwash@debian.org>  Thu, 03 Jul 2025 22:20:26 +0000

rust-opendal (0.52.0-1) unstable; urgency=medium

  * Team upload.
  * Package opendal 0.52.0 from crates.io using debcargo 2.7.8 (Closes: #1098836)
  * Update disable-wasm32.diff for new upstream.
  * Drop relax-reqwest.diff, it was broken and no longer needed.
  * Remove a bunch of "optional" dependencies which are not in Debian and disable the 
    corresponding features. (Closes: #1069715)
  * Remove dev-dependency on size crate and disable benches which depend on it.
  * Tweak dev-dependency on criterion for compatibility with Debian's
    rust-criterion package.
  * Adjust dependency versions for compatibility with what is in Debian.
  * Establish baseline for tests.

 -- Peter Michael Green <plugwash@debian.org>  Fri, 11 Apr 2025 01:16:18 +0000
